Get resource attributes by resource lookup key
You are viewing legacy documentation. These APIs are maintained for partners with existing implementations. New projects should use v2.
View the current GraphQL API Reference → | View the current REST API Reference →
GET/:resourceType/:lookupKey/:lookupValue/attributes
Retrieves all attributes for a resource identified by its lookup key. Results will be paginated. The default number of attributes per page is 12, but can be up to 100.
A resource can be a product, category, user or usergroup.
Response fields
| Name | Description |
|---|---|
id | Attribute Id |
name | Attribute name |
type | Type of the value of the attribute |
class | Attribute class |
value | Attribute value for the product. Depends on the type. |
inherited | Boolean. Indicates whether the value is directly set on the product or inherited from a parent resource. For text and list type attributes, inherited is part of the localized string for each language. |
Request
Responses
- 200
- 400
- 404
Get product attributes by product id - 200 (with results) / Get product attributes by product id - 200 (no results) / Get user attributes by user id - 200 / Get usergroup attributes by usergroup id - 200
Response Headers
Get product attributes by product id - 400 (invalid page or offset)
Response Headers
Get product attributes by product id - 404 / Get user attributes by user id - 404